EDIT - task #9490

avoid rank entity in TaxonNameParts
03/01/2021 04:50 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

... vielleicht kann man den auch loswerden .... rankSpecificNamePart
kann man auch sofort bei der Bildung des DTO auswerten .... muss mal
sehen was das fir TaxonNamePartsFilter bedeutet, der wird in
service.findTaxonNameParts verwendet ....

ich denke da kannst du auf rank.rankclass zurtickgreifen, dann kannst du alles so lassen wie es ist. Also, wenn du den Rang nur
brauchst, um zu entscheiden, ob es sich um Supragenus, Genus, infrageneric, aggregate, Species oder infraspecies handelt, wovon
die Nameparts dann ja ableiten lassen.

Related issues:
Copied from EDIT - bug #9483: LazylnitializationException (LIE) in TaxonNameP... Closed

Associated revisions

Revision 6d804466 - 03/01/2021 05:23 PM - Andreas Kohlbecker
fix #9483 better solution by using rankClass only

Revision 520afc6d - 03/01/2021 05:35 PM - Andreas Kohlbecker

fix #9483 better solution by using rankClass only - restoring chanches after merge with previous cleanup

History

#1 - 03/01/2021 04:50 PM - Andreas Kohlbecker

- Copied from bug #9483: LazyInitializationException (LIE) in TaxonNamePopupEditor when selecting trinominal rank added

#2 - 03/01/2021 04:53 PM - Andreas Kohlbecker

- Description updated

#3 - 04/15/2021 12:27 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

done
